cabal-lenses: Lenses and traversals for the Cabal library.

[ bsd3, development, library, utils ] [ Propose Tags ]

Lenses and traversals (compatible with the lens library) for the Cabal library.


[Skip to Readme]
Versions [RSS] [faq] 0.1, 0.2, 0.3, 0.3.1, 0.4, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.4.5, 0.4.6, 0.4.7, 0.4.8, 0.4.9, 0.5.0, 0.6.0, 0.7.0, 0.7.1, 0.8.0, 0.9.0, 0.10.0, 0.10.1
Change log CHANGELOG
Dependencies base (>=3 && <5), Cabal (>=1.16.0 && <1.23), either (>=4.1.1 && <4.5), lens (>=4.0.1 && <4.14), strict (>=0.3.2 && <0.4), system-fileio (>=0.3.12 && <0.4), system-filepath (>=0.4.9 && <0.5), text (>=1.1.0.1 && <1.3), transformers (>=0.3.0.0 && <0.5), unordered-containers (>=0.2.3.3 && <0.3) [details]
License BSD-3-Clause
Author Daniel Trstenjak
Maintainer daniel.trstenjak@gmail.com
Category Utils, Development
Source repo head: git clone https://github.com/dan-t/cabal-lenses
Uploaded by DanielTrstenjak at 2015-10-28T20:29:42Z
Distributions NixOS:0.10.1
Downloads 13582 total (76 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs not available [build log]
Last success reported on 2015-12-10 [all 6 reports]

Modules

  • CabalLenses
    • CabalLenses.CondVars
    • CabalLenses.Package
    • CabalLenses.PackageDescription
    • CabalLenses.Section
    • Traversals
      • CabalLenses.Traversals.BuildInfo
      • CabalLenses.Traversals.Dependency
    • CabalLenses.Utils
    • CabalLenses.Version

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Candidates


Readme for cabal-lenses-0.4.7

[back to package description]

cabal-lenses

Lenses and traversals (compatible with the lens library) for the Cabal library.